/*package com.jasamedika.medifirst2000.converter;

import java.util.ArrayList;
import java.util.HashSet;
import java.util.List;
import java.util.Set;

import org.modelmapper.ModelMapper;
import org.springframework.stereotype.Component;

import com.jasamedika.medifirst2000.converter.base.BaseVoConverter;
import com.jasamedika.medifirst2000.entities.KelasM;
import com.jasamedika.medifirst2000.entities.MapRuanganToKelasM;
import com.jasamedika.medifirst2000.entities.RuanganM;
import com.jasamedika.medifirst2000.util.ExtendedSpringBeanUtil;
import com.jasamedika.medifirst2000.vo.KelasMVO;

*//**
 * Converter class between KelasM and KelasMVO
 * 
 * @author Roberto
 *//*
@Component
public class KelasMConverter implements BaseVoConverter<KelasMVO, KelasM> {
	
	private ModelMapper modelMapper = new ModelMapper();

	public KelasM transferVOToModel(KelasMVO vo, KelasM model) {
		if (null == model)
			model = new KelasM();

		// fix this
		//ExtendedSpringBeanUtil.copySpecificProperties(vo, model, new String[] {"id","nama", "alamat", }, new String[] { "id","nama", "alamat", });
		model = modelMapper.map(vo, KelasM.class);
	
		return model;

	}

	public List<KelasMVO> transferListOfModelToListOfVO(List<KelasM> models,
			List<KelasMVO> vos) {
		if (null == vos)
			vos = new ArrayList<KelasMVO>();

		if (null == models)
			return vos;

		RuanganM ruanganM=new RuanganM();
		ruanganM.setFaksimile("123");
		//ruanganM.setKodeExsternal("2211");
	//	ruanganM.setNamaExternal("test");
		for (KelasM kelas : models) {
			KelasMVO vo = new KelasMVO();
			MapRuanganToKelasM m=new MapRuanganToKelasM();
			m.setKelasM(kelas);
			m.setRuanganM(ruanganM);
			vo = modelMapper.map(kelas, KelasMVO.class);
			vo.getMapRuanganToKelasMSet().add(m);
			vos.add(vo);
		}

		return vos;
	}

	@Override
	public KelasMVO transferModelToVO(KelasM model, KelasMVO vo) {
		return null;
	}

	
}
*/